## r-bioc-wrench 1.6.0+dfsg

=== DESCRIPTION ===
Package: Wrench
Depends: R (>= 3.5.0)
Type: Package
Title: Wrench normalization for sparse count data
Version: 1.6.0
Authors@R: c( person("Senthil Kumar", "Muthiah",
                      email="smuthiah@umiacs.umd.edu",
                      role = c("aut")),
              person("Hector", "Corrada Bravo", 
                      email = "hcorrada@gmail.com", 
                      role = c("aut", "cre"))
            )
Description: Wrench is a package for normalization sparse genomic count data, like that arising from 16s metagenomic surveys.
Imports: limma, matrixStats, locfit, stats, graphics
License: Artistic-2.0
LazyData: TRUE
RoxygenNote: 6.1.0
Suggests: knitr, rmarkdown, metagenomeSeq, DESeq2, edgeR
VignetteBuilder: knitr
biocViews: Normalization, Sequencing, Software
URL: https://github.com/HCBravoLab/Wrench
BugReports: https://github.com/HCBravoLab/Wrench/issues
git_url: https://git.bioconductor.org/packages/Wrench
git_branch: RELEASE_3_11
git_last_commit: 3cbe94d
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: no
Packaged: 2020-04-28 03:48:35 UTC; biocbuild
Author: Senthil Kumar Muthiah [aut],
  Hector Corrada Bravo [aut, cre]
Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.6.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:25:01 +0000

r-bioc-wrench (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 23:20:39 +0200

r-bioc-wrench (1.4.0+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 12:11:50 +0200

r-bioc-wrench (1.4.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #955274)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 29 Mar 2020 09:21:43 +0200

=== debian/control ===
Source: r-bioc-wrench
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-limma,
               r-cran-matrixstats,
               r-cran-locfit
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-wrench
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-wrench.git
Homepage: https://bioconductor.org/packages/Wrench/
Rules-Requires-Root: no

Package: r-bioc-wrench
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wrench normalization for sparse count data
 Wrench is a package for normalization sparse genomic count data, like
 that arising from 16s metagenomic surveys.

## r-bioc-wrench 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: R (>= 3.5.0)
 Type: Package
 Title: Wrench normalization for sparse count data
-Version: 1.6.0
+Version: 1.8.0
 Authors@R: c( person("Senthil Kumar", "Muthiah",
                       email="smuthiah@umiacs.umd.edu",
                       role = c("aut")),
@@ -21,12 +21,12 @@
 URL: https://github.com/HCBravoLab/Wrench
 BugReports: https://github.com/HCBravoLab/Wrench/issues
 git_url: https://git.bioconductor.org/packages/Wrench
-git_branch: RELEASE_3_11
-git_last_commit: 3cbe94d
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: cb5e71d
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no
-Packaged: 2020-04-28 03:48:35 UTC; biocbuild
+Packaged: 2020-10-28 04:17:33 UTC; biocbuild
 Author: Senthil Kumar Muthiah [aut],
   Hector Corrada Bravo [aut, cre]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 14:10:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-limma,

## r-bioc-wrench 1.12.0+dfsg

=== DESCRIPTION ===
Package: Wrench
Depends: R (>= 3.5.0)
Type: Package
Title: Wrench normalization for sparse count data
Version: 1.12.0
Authors@R: c( person("Senthil Kumar", "Muthiah",
                      email="smuthiah@umiacs.umd.edu",
                      role = c("aut")),
              person("Hector", "Corrada Bravo", 
                      email = "hcorrada@gmail.com", 
                      role = c("aut", "cre"))
            )
Description: Wrench is a package for normalization sparse genomic count data, like that arising from 16s metagenomic surveys.
Imports: limma, matrixStats, locfit, stats, graphics
License: Artistic-2.0
RoxygenNote: 6.1.0
Suggests: knitr, rmarkdown, metagenomeSeq, DESeq2, edgeR
VignetteBuilder: knitr
biocViews: Normalization, Sequencing, Software
URL: https://github.com/HCBravoLab/Wrench
BugReports: https://github.com/HCBravoLab/Wrench/issues
git_url: https://git.bioconductor.org/packages/Wrench
git_branch: RELEASE_3_14
git_last_commit: e69c2cc
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 23:05:07 UTC; biocbuild
Author: Senthil Kumar Muthiah [aut],
  Hector Corrada Bravo [aut, cre]
Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.12.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:29:02 +0530

r-bioc-wrench (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 15:49:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-limma,
                r-cran-matrixstats,
                r-cran-locfit
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-wrench
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-wrench.git
 Homepage: https://bioconductor.org/packages/Wrench/

## r-bioc-wrench 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: R (>= 3.5.0)
 Type: Package
 Title: Wrench normalization for sparse count data
-Version: 1.12.0
+Version: 1.14.0
 Authors@R: c( person("Senthil Kumar", "Muthiah",
                       email="smuthiah@umiacs.umd.edu",
                       role = c("aut")),
@@ -20,12 +20,12 @@
 URL: https://github.com/HCBravoLab/Wrench
 BugReports: https://github.com/HCBravoLab/Wrench/issues
 git_url: https://git.bioconductor.org/packages/Wrench
-git_branch: RELEASE_3_14
-git_last_commit: e69c2cc
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 72d3634
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 23:05:07 UTC; biocbuild
+Packaged: 2022-04-26 22:23:50 UTC; biocbuild
 Author: Senthil Kumar Muthiah [aut],
   Hector Corrada Bravo [aut, cre]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 15:22:13 +0200

## r-bioc-wrench 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: R (>= 3.5.0)
 Type: Package
 Title: Wrench normalization for sparse count data
-Version: 1.14.0
+Version: 1.16.0
 Authors@R: c( person("Senthil Kumar", "Muthiah",
                       email="smuthiah@umiacs.umd.edu",
                       role = c("aut")),
@@ -20,12 +20,12 @@
 URL: https://github.com/HCBravoLab/Wrench
 BugReports: https://github.com/HCBravoLab/Wrench/issues
 git_url: https://git.bioconductor.org/packages/Wrench
-git_branch: RELEASE_3_15
-git_last_commit: 72d3634
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 4bb1bd5
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 22:23:50 UTC; biocbuild
+Packaged: 2022-11-01 23:20:11 UTC; biocbuild
 Author: Senthil Kumar Muthiah [aut],
   Hector Corrada Bravo [aut, cre]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:30:37 +0100

=== debian/control ===
Source: r-bioc-wrench
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-wrench
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-wrench.git
Homepage: https://bioconductor.org/packages/Wrench/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-limma,
               r-cran-matrixstats,
               r-cran-locfit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-wrench
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wrench normalization for sparse count data
 Wrench is a package for normalization sparse genomic count data, like
 that arising from 16s metagenomic surveys.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/Wrench.html .*/Wrench_(.*).tar.gz

## r-bioc-wrench 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: R (>= 3.5.0)
 Type: Package
 Title: Wrench normalization for sparse count data
-Version: 1.16.0
+Version: 1.18.0
 Authors@R: c( person("Senthil Kumar", "Muthiah",
                       email="smuthiah@umiacs.umd.edu",
                       role = c("aut")),
@@ -20,12 +20,12 @@
 URL: https://github.com/HCBravoLab/Wrench
 BugReports: https://github.com/HCBravoLab/Wrench/issues
 git_url: https://git.bioconductor.org/packages/Wrench
-git_branch: RELEASE_3_16
-git_last_commit: 4bb1bd5
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: b31c800
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 23:20:11 UTC; biocbuild
+Packaged: 2023-04-25 23:13:35 UTC; biocbuild
 Author: Senthil Kumar Muthiah [aut],
   Hector Corrada Bravo [aut, cre]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.18.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Add debian/tests/autopkgtest-pkg-r.conf 

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 23:46:08 +0200

## r-bioc-wrench 1.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: R (>= 3.5.0)
 Type: Package
 Title: Wrench normalization for sparse count data
-Version: 1.18.0
+Version: 1.20.0
 Authors@R: c( person("Senthil Kumar", "Muthiah",
                       email="smuthiah@umiacs.umd.edu",
                       role = c("aut")),
@@ -20,12 +20,12 @@
 URL: https://github.com/HCBravoLab/Wrench
 BugReports: https://github.com/HCBravoLab/Wrench/issues
 git_url: https://git.bioconductor.org/packages/Wrench
-git_branch: RELEASE_3_17
-git_last_commit: b31c800
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: b8512e2
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 23:13:35 UTC; biocbuild
+Packaged: 2023-10-24 23:30:18 UTC; biocbuild
 Author: Senthil Kumar Muthiah [aut],
   Hector Corrada Bravo [aut, cre]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 09:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-wrench
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-wrench.git
 Homepage: https://bioconductor.org/packages/Wrench/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-wrench 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: R (>= 3.5.0)
 Type: Package
 Title: Wrench normalization for sparse count data
-Version: 1.20.0
+Version: 1.22.0
 Authors@R: c( person("Senthil Kumar", "Muthiah",
                       email="smuthiah@umiacs.umd.edu",
                       role = c("aut")),
@@ -20,12 +20,13 @@
 URL: https://github.com/HCBravoLab/Wrench
 BugReports: https://github.com/HCBravoLab/Wrench/issues
 git_url: https://git.bioconductor.org/packages/Wrench
-git_branch: RELEASE_3_18
-git_last_commit: b8512e2
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 4abb0da
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 23:30:18 UTC; biocbuild
+Packaged: 2024-05-01 06:35:46 UTC; biocbuild
 Author: Senthil Kumar Muthiah [aut],
   Hector Corrada Bravo [aut, cre]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:43:29 +0200

r-bioc-wrench (1.22.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:39:57 +0200

r-bioc-wrench (1.22.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 15:08:59 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-limma,
+               r-bioc-limma (>= 3.60.4),
                r-cran-matrixstats,
                r-cran-locfit
 Testsuite: autopkgtest-pkg-r
@@ -19,9 +19,13 @@
 Package: r-bioc-wrench
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-limma (>= 3.60.4)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-metagenomeseq (>= 1.46.0),
+          r-bioc-deseq2 (>= 1.44.0),
+          r-bioc-edger (>= 4.2.1)
 Description: GNU R wrench normalization for sparse count data
  Wrench is a package for normalization sparse genomic count data, like
  that arising from 16s metagenomic surveys.

## r-bioc-wrench 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: R (>= 3.5.0)
 Type: Package
 Title: Wrench normalization for sparse count data
-Version: 1.22.0
+Version: 1.24.0
 Authors@R: c( person("Senthil Kumar", "Muthiah",
                       email="smuthiah@umiacs.umd.edu",
                       role = c("aut")),
@@ -20,13 +20,13 @@
 URL: https://github.com/HCBravoLab/Wrench
 BugReports: https://github.com/HCBravoLab/Wrench/issues
 git_url: https://git.bioconductor.org/packages/Wrench
-git_branch: RELEASE_3_19
-git_last_commit: 4abb0da
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: e72ed95
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 06:35:46 UTC; biocbuild
+Packaged: 2024-10-30 03:25:13 UTC; biocbuild
 Author: Senthil Kumar Muthiah [aut],
   Hector Corrada Bravo [aut, cre]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>

=== debian/changelog ===
r-bioc-wrench (1.24.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 22:21:11 +0100

r-bioc-wrench (1.24.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 12:06:03 +0100

=== debian/control ===
Source: r-bioc-wrench
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-wrench
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-wrench.git
Homepage: https://bioconductor.org/packages/Wrench/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-limma,
               r-cran-matrixstats,
               r-cran-locfit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-wrench
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wrench normalization for sparse count data
 Wrench is a package for normalization sparse genomic count data, like
 that arising from 16s metagenomic surveys.
